Package javax.help

# Class FavoritesView

java.lang.Object
javax.help.NavigatorView
javax.help.FavoritesView

All Implemented Interfaces:
  `Serializable`

public class FavoritesView extends NavigatorView
Navigational View information for the Favorites

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`FavoritesView.DefaultFavoritesFactory`
A default TreeItemFactory that can be used to parse Favorites items as used by this navigator.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`publicIDString`
PublicID (known to this XML processor) to the DTD for version 2.0 of the Index

## Constructor Summary

Constructors
Constructor
Description
`FavoritesView(HelpSet hs, String name, String label, Hashtable params)`
Construct an FavoritesView with some given data.
`FavoritesView(HelpSet hs, String name, String label, Locale locale, Hashtable params)`
Constructs an FavoritesView with some given data.

## Method Summary

Modifier and Type
Method
Description
`Component`
`createNavigator(HelpModel model)`
create a navigator for a given model.
`FavoritesNode`
`getDataAsTree()`
Gets a DefaultMutableTreeNode representing the information in this view instance.
`String`
`getMergeType()`
Get the Index navigators mergeType.
`FavoritesNode`
`parse(HelpSet hs, Locale locale, TreeItemFactory factory)`
Public method for parsing the Favorites in a URL.
`void`
`saveFavorites(FavoritesNode node)`
Saves favorites file

### Methods inherited from class javax.help.NavigatorView

`create, getHelpSet, getImageID, getLabel, getLabel, getLocale, getName, getParameters`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### publicIDString

public static final String publicIDString
PublicID (known to this XML processor) to the DTD for version 2.0 of the Index

See Also:
  - Constant Field Values

## Constructor Details

### FavoritesView

public FavoritesView(HelpSet hs, String name, String label, Hashtable params)
Construct an FavoritesView with some given data. Locale defaults to that of the HelpSet.

Parameters:
  `hs` - The HelpSet that provides context information
  `name` - The name of the View
  `label` - The label (to show the user) of the View
  `params` - A hashtable providing different key/values for this type. A null for params is valid.

### FavoritesView

public FavoritesView(HelpSet hs, String name, String label, Locale locale, Hashtable params)
Constructs an FavoritesView with some given data.

Parameters:
  `hs` - The HelpSet that provides context information
  `name` - The name of the View
  `label` - The label (to show the user) of the View
  `locale` - The default locale to interpret the data in this TOC. A null for locale will be interpreted as the defaultLocale.
  `params` - A Hashtable providing different key/values for this type A null for params is valid.

## Method Details

### createNavigator

public Component createNavigator(HelpModel model)
create a navigator for a given model.

Specified by:
  `createNavigator` in class `NavigatorView`
Parameters:
  `model` - The HelpModel to create this navigator with. A null model is valid.
Returns:
  The appropriate Component for this view.

### getMergeType

public String getMergeType()
Get the Index navigators mergeType. Overrides getMergeType in NavigatorView

Overrides:
  `getMergeType` in class `NavigatorView`
Returns:
  The merge type of this Navigator view

### getDataAsTree

public FavoritesNode getDataAsTree()
Gets a DefaultMutableTreeNode representing the information in this view instance. The default implementation parses the data in the URL, but a subclass may override this method and provide a different implemenation. For example, it may create the tree programatically.

### parse

public FavoritesNode parse(HelpSet hs, Locale locale, TreeItemFactory factory)
Public method for parsing the Favorites in a URL. It returns a DefaultMutableTreeNode and its children that correspond to the favoritesItems in the Favorites. The factory is invoked to create the TreeItems that are included in the DefaultMutableTreeNode as user data.

Parameters:
  `hs` - The HelpSet context for this Favorites. Null hs is ignored.
  `locale` - The default locale to interpret the data in this Favorites. Null locale is treated as the default locale.
  `factory` - A factory instance that is used to create the FavoritesItems
  `url` - Location of the Favorites. If null, causes null value to be returned.
Returns:
  a TreeNode that represents the Favorites. Returns null if parsing errors were encountered.

### saveFavorites

public void saveFavorites(FavoritesNode node)
Saves favorites file

Parameters:
  `node` - The FavoritesNode